summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2020-01-12 15:55:18 +0100
committer Willy Sudiarto Raharjo2020-01-12 15:55:18 +0100
commitb946a8e766273898fe088fac21b5304f5ac9229b (patch)
treeb512e349fcadac150a13bf965818d8b53a890996 /academic
parent38272b41167c9e4952a26bc8c38920ef899e9b0e (diff)
downloadslackbuilds-b946a8e766273898fe088fac21b5304f5ac9229b.tar.gz
academic/treerecs: Added (a tree reconciliation tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/treerecs/README30
-rw-r--r--academic/treerecs/doinst.sh3
-rw-r--r--academic/treerecs/slack-desc19
-rw-r--r--academic/treerecs/treerecs.SlackBuild120
-rw-r--r--academic/treerecs/treerecs.info10
5 files changed, 182 insertions, 0 deletions
diff --git a/academic/treerecs/README b/academic/treerecs/README
new file mode 100644
index 0000000000..cd3794ca26
--- /dev/null
+++ b/academic/treerecs/README
@@ -0,0 +1,30 @@
+Treerecs: a tree reconciliation tool
+
+Treerecs is an open-source (species- and gene-) tree reconciliation
+software distributed under the GNU AGPL licence. It can correct,
+rearrange and (re-)root gene trees with regard to a given species tree.
+It was designed to be both efficient and easy to install and to use.
+
+Features
+- Correct gene trees with regard to a reference species tree
+- Root or re-root gene trees
+- Contract gene-tree branches whose support is lower than a given
+ threshold, thus creating polytomies (multifurcations) that can be
+ resolved therefater
+- Sample solutions with equivalent scores
+- Produce a graphical representation of the reconciled trees
+- Supported formats
+
+Treerecs supports the following formats: Newick, NHX, PhyloXML,
+recPhyloXML, SVG (graphical output).
+
+A program that can drive Treerecs, providing a GUI is Seaview, also
+available at SBo. The SlacBuild script builds two additional programs:
+
+1) ALEevaluate_undated: an executable of the ALE (Amalgamated likelihood
+estimation, https://github.com/ssolo/ALE), by Szollosi GJ et al). This
+version has other mapping options and a different implementation in
+Bio++ use.
+
+2) genetreeEditor: a small program which provides editing of gene names
+using species names and format conversion (Newick, Nhx or PhyloXML) .
diff --git a/academic/treerecs/doinst.sh b/academic/treerecs/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/treerecs/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/treerecs/slack-desc b/academic/treerecs/slack-desc
new file mode 100644
index 0000000000..319b6b6f7b
--- /dev/null
+++ b/academic/treerecs/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+treerecs: treerecs (Treerecs: a tree reconciliation tool)
+treerecs:
+treerecs: Treerecs is an open-source (species- and gene-) tree reconciliation
+treerecs: software. It can correct, rearrange and (re-)root gene trees with
+treerecs: regard to a given species tree.
+treerecs:
+treerecs: https://project.inria.fr/treerecs/
+treerecs: https://gitlab.inria.fr/Phylophile/Treerecs
+treerecs:
+treerecs:
+treerecs:
diff --git a/academic/treerecs/treerecs.SlackBuild b/academic/treerecs/treerecs.SlackBuild
new file mode 100644
index 0000000000..4bff8e9c09
--- /dev/null
+++ b/academic/treerecs/treerecs.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/sh
+
+# Slackware build script for treerecs
+
+# Copyright 2020 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=treerecs
+VERSION=${VERSION:-1.1_gitd1c1bfaf}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+COMMIT=d1c1bfaf3e6f072436661c80346dee9ae54b3310
+
+# Depending on whether you clicked or used wget to download, the tarball
+# name is different. Bleh...
+WGETNAME=archive
+CLICKNAME=Treerecs-master
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $CLICKNAME-$COMMIT
+
+if [ -e $CWD/$WGETNAME.tar.gz ]; then
+ tar xvf $CWD/$WGETNAME.tar.gz
+else
+ tar xvf $CWD/$CLICKNAME-$COMMIT.tar.gz
+fi
+
+cd $CLICKNAME-$COMMIT
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=MinSizeRel ..
+ make
+cd ..
+
+# This is the program executable. Using "make install DESTDIR=$PKG"
+# works, but is simply puts the treerecs in /usr/local/bin and that's it
+install -D -m755 build/bin/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+# Include the extra binaries
+install -D -m755 build/bin/misc/ALEevaluate_undated $PKG/usr/bin/ALEevaluate_undated
+install -D -m755 build/bin/misc/genetreeEditor $PKG/usr/bin/genetreeEditor
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Copy some examples and the icon just in case
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a examples ${PRGNAM}_icon.png $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING CONTRIBUTING.md README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a build/bin/misc/README.md $PKG/usr/doc/$PRGNAM-$VERSION/README-misc.md
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/treerecs/treerecs.info b/academic/treerecs/treerecs.info
new file mode 100644
index 0000000000..12feb2eed3
--- /dev/null
+++ b/academic/treerecs/treerecs.info
@@ -0,0 +1,10 @@
+PRGNAM="treerecs"
+VERSION="1.1_gitd1c1bfaf"
+HOMEPAGE="https://project.inria.fr/treerecs/"
+DOWNLOAD="https://gitlab.inria.fr/Phylophile/Treerecs/repository/archive.tar.gz"
+MD5SUM="1a378daca947481f08071b51950e021e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"